# Simple DirectMedia Layer SDL sublibrary SDL_image 1.2.12 repository for CASIO fx-CG 10/20 (a.k.a. PRIZM) and fx-CG 50 (or Graph 90+E)

Need to have a fully working gcc toolchain for SH3/SH4 architecture, such as fxSDK

You can use the `giteapc install Slyvtt/cSDL_image` command to get an automatic install


## Using in a program

With CMake

```cmake
find_package(cSDL_image 1.2.12 REQUIRED)
target_link_libraries(<TARGET> PRIVATE cSDL_image::cSDL_image)
```

With make, the following steps are not automatically done, so please proceed with the following manipulations :
* copy the library `libcSDL_image.a` into your SH3/SH4 compiler lib folder
* copy all header files `*.h` in the include folder `include/SDL` of the SH3/SH4 compiler
* link with `-lcSDL_image`



In the C/C++ sources `#include <SDL/SDL_image.h>`
